Package Details: trenchbroom 2.1.0-1

Git Clone URL: https://aur.archlinux.org/trenchbroom.git (read-only)
Package Base: trenchbroom
Description: TrenchBroom is a modern cross-platform level editor for Quake-engine based games.
Upstream URL: http://kristianduske.com/trenchbroom
Licenses: GPLv3
Submitter: tapir
Maintainer: tapir
Last Packager: tapir
Votes: 1
Popularity: 0.002699
First Submitted: 2018-02-14 11:01
Last Updated: 2018-11-26 13:07

Latest Comments

tapir commented on 2018-12-01 14:50

I'll see what I can do. As long as they the wxgtk patches they use are not out of sync between master and stable there should be no problem

Retro_Gamer commented on 2018-12-01 14:47

It was the only build I used!

Yes, they use many dev branches when developing features or fixing bugs, but those temporary dev branches are usually deleted when done with and that code incorporated into the main dev branch way before an official release.

A few years ago I built directly from GitHub but things got too complicated for me to successfully build it after they started using and dev wxgtk and custom patching that.

I find it very useful, but I understand if its too time consuming to maintain both.

tapir commented on 2018-12-01 13:11

TrenchBroom development happens in multiple branches so I was not convinced that it was useful. Do you find it useful? I might re-add it if there is interest.

Retro_Gamer commented on 2018-12-01 12:19

I noticed you removed trenchbroom-git which I used since you made it available. Are you planning to add that back?

tapir commented on 2018-11-26 13:08

Updated to 2.1.0 and switched back to custom wxgtk build. The package wxgtk2-tb does not conflict with official or aur wxgtk packages. You can install them side by side.